Unverified Commit ae6edf18 authored by Z.J. van de Weg's avatar Z.J. van de Weg Committed by Connor Shea
parent 9b0ef155
...@@ -2,6 +2,8 @@ require: ...@@ -2,6 +2,8 @@ require:
- rubocop-rspec - rubocop-rspec
- ./rubocop/rubocop - ./rubocop/rubocop
inherit_from: .rubocop_todo.yml
AllCops: AllCops:
TargetRubyVersion: 2.1 TargetRubyVersion: 2.1
# Cop names are not displayed in offense messages by default. Change behavior # Cop names are not displayed in offense messages by default. Change behavior
...@@ -159,10 +161,6 @@ Style/ConstantName: ...@@ -159,10 +161,6 @@ Style/ConstantName:
Style/DefWithParentheses: Style/DefWithParentheses:
Enabled: true Enabled: true
# Checks for use of deprecated Hash methods.
Style/DeprecatedHashMethods:
Enabled: false
# Document classes and non-namespace modules. # Document classes and non-namespace modules.
Style/Documentation: Style/Documentation:
Enabled: false Enabled: false
......
# This configuration was generated by
# `rubocop --auto-gen-config`
# on 2016-06-29 18:24:55 +0200 using RuboCop version 0.41.1.
# The point is for the user to remove these configuration records
# one by one as the offenses are removed from the code base.
# Note that changes in the inspected code, or installation of new
# versions of RuboCop, may require this file to be generated again.
# Offense count: 1
Lint/ShadowedException:
Exclude:
- 'app/models/u2f_registration.rb'
# Offense count: 12
# Cop supports --auto-correct.
Performance/PushSplat:
Exclude:
- 'app/controllers/projects/refs_controller.rb'
- 'app/helpers/page_layout_helper.rb'
- 'app/models/ability.rb'
- 'app/models/network/graph.rb'
- 'app/models/project_team.rb'
- 'app/models/user.rb'
- 'config/application.rb'
# Offense count: 59
Rails/OutputSafety:
Enabled: false
# Offense count: 6
# Cop supports --auto-correct.
# Configuration parameters: EnforcedOctalStyle, SupportedOctalStyles.
# SupportedOctalStyles: zero_with_o, zero_only
Style/NumericLiteralPrefix:
Exclude:
- 'config/initializers/1_settings.rb'
- 'config/initializers/secret_token.rb'
- 'lib/gitlab/backend/shell.rb'
- 'spec/support/test_env.rb'
- 'spec/tasks/gitlab/backup_rake_spec.rb'
# Offense count: 28
# Cop supports --auto-correct.
Style/PreferredHashMethods:
Exclude:
- 'app/helpers/dropdowns_helper.rb'
- 'app/models/application_setting.rb'
- 'app/models/members/project_member.rb'
- 'app/services/git_push_service.rb'
- 'lib/api/helpers.rb'
- 'lib/ci/api/builds.rb'
- 'lib/ci/gitlab_ci_yaml_processor.rb'
- 'lib/gitlab/ci/config/node/configurable.rb'
- 'lib/gitlab/ci/config/node/factory.rb'
- 'lib/gitlab/google_code_import/client.rb'
- 'lib/gitlab/google_code_import/importer.rb'
- 'lib/gitlab/visibility_level.rb'
- 'spec/requests/api/projects_spec.rb'
# Offense count: 5
# Cop supports --auto-correct.
Style/SpaceInsidePercentLiteralDelimiters:
Exclude:
- 'lib/event_filter.rb'
- 'lib/gitlab/git_access.rb'
...@@ -299,7 +299,7 @@ group :development, :test do ...@@ -299,7 +299,7 @@ group :development, :test do
gem 'spring-commands-spinach', '~> 1.1.0' gem 'spring-commands-spinach', '~> 1.1.0'
gem 'spring-commands-teaspoon', '~> 0.0.2' gem 'spring-commands-teaspoon', '~> 0.0.2'
gem 'rubocop', '~> 0.40.0', require: false gem 'rubocop', '~> 0.41.1', require: false
gem 'rubocop-rspec', '~> 1.5.0', require: false gem 'rubocop-rspec', '~> 1.5.0', require: false
gem 'scss_lint', '~> 0.47.0', require: false gem 'scss_lint', '~> 0.47.0', require: false
gem 'simplecov', '~> 0.11.0', require: false gem 'simplecov', '~> 0.11.0', require: false
......
...@@ -58,7 +58,7 @@ GEM ...@@ -58,7 +58,7 @@ GEM
faraday_middleware-multi_json (~> 0.0) faraday_middleware-multi_json (~> 0.0)
oauth2 (~> 1.0) oauth2 (~> 1.0)
asciidoctor (1.5.3) asciidoctor (1.5.3)
ast (2.2.0) ast (2.3.0)
attr_encrypted (3.0.1) attr_encrypted (3.0.1)
encryptor (~> 3.0.0) encryptor (~> 3.0.0)
attr_required (1.0.0) attr_required (1.0.0)
...@@ -473,7 +473,7 @@ GEM ...@@ -473,7 +473,7 @@ GEM
orm_adapter (0.5.0) orm_adapter (0.5.0)
paranoia (2.1.4) paranoia (2.1.4)
activerecord (~> 4.0) activerecord (~> 4.0)
parser (2.3.1.0) parser (2.3.1.2)
ast (~> 2.2) ast (~> 2.2)
pg (0.18.4) pg (0.18.4)
pkg-config (1.1.7) pkg-config (1.1.7)
...@@ -606,8 +606,8 @@ GEM ...@@ -606,8 +606,8 @@ GEM
rspec-retry (0.4.5) rspec-retry (0.4.5)
rspec-core rspec-core
rspec-support (3.5.0) rspec-support (3.5.0)
rubocop (0.40.0) rubocop (0.41.2)
parser (>= 2.3.1.0, < 3.0) parser (>= 2.3.1.1, < 3.0)
powerpack (~> 0.1) powerpack (~> 0.1)
rainbow (>= 1.99.1, < 3.0) rainbow (>= 1.99.1, < 3.0)
ruby-progressbar (~> 1.7) ruby-progressbar (~> 1.7)
...@@ -758,7 +758,7 @@ GEM ...@@ -758,7 +758,7 @@ GEM
unf (0.1.4) unf (0.1.4)
unf_ext unf_ext
unf_ext (0.0.7.2) unf_ext (0.0.7.2)
unicode-display_width (1.0.5) unicode-display_width (1.1.0)
unicorn (4.9.0) unicorn (4.9.0)
kgio (~> 2.6) kgio (~> 2.6)
rack rack
...@@ -937,7 +937,7 @@ DEPENDENCIES ...@@ -937,7 +937,7 @@ DEPENDENCIES
rqrcode-rails3 (~> 0.1.7) rqrcode-rails3 (~> 0.1.7)
rspec-rails (~> 3.5.0) rspec-rails (~> 3.5.0)
rspec-retry (~> 0.4.5) rspec-retry (~> 0.4.5)
rubocop (~> 0.40.0) rubocop (~> 0.41.1)
rubocop-rspec (~> 1.5.0) rubocop-rspec (~> 1.5.0)
ruby-fogbugz (~> 0.2.1) ruby-fogbugz (~> 0.2.1)
sanitize (~> 2.0) sanitize (~> 2.0)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment